Subject: Weirdness in cygutils-1.2.5-1.sh ?
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 2 Apr 2004 16:27:44 +0100

[ Xposted to cygwin-apps because it's notionally a packaging issue.  I only
read the main cygwin list, so please cc any replies.  TIA! ]

  Just trying to build the cygutils from the source distro, and I'm having a
little trouble with the build script:

-----snip-----
conf() {
  (cd ${objdir} && \
  CFLAGS="${MY_CFLAGS}" ${srcdir}/configure \
  --srcdir=${srcdir} --prefix=${prefix} \
  --exec-prefix=${prefix} --sysconfdir=${sysconfdir} \
  --libdir=${prefix}/lib --includedir=${prefix}/include \
  --mandir=${prefix}/share/man --infodir=${prefix}/share/info
)}
-----snip-----
 
  But when I say

-----snip-----
export MY_CFLAGS='-g -O0'
cygutils-1.2.5-1.sh conf
cygutils-1.2.5-1.sh build
-----snip-----

I still get the default '-g -O2' flags.  There's no trace of my -O0 anywhere
in the makefile.  Even trying setting  

-----snip-----
export CFLAGS='-g -O0'
export MY_CFLAGS='-g -O0'
cygutils-1.2.5-1.sh conf
cygutils-1.2.5-1.sh build
-----snip-----

doesn't make any difference.

  Is it a bogus assumption that the configure script will respect CFLAGS?
Is this just standard cygwin makescript boilerplate, kindof the same way
that the top-level configure script goes and passes every option to every
one of the subconfigures whether relevant or not?  It's a bit misleading to
see that line there and think you can set the cflags for the build in the
same way you can with gnu makefiles.

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/